Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.entity.monster
Class EntityIronGolem

    java.lang.Object
      net.minecraft.entity.Entity
          net.minecraft.entity.EntityLiving
              net.minecraft.entity.EntityCreature
                  net.minecraft.entity.monster.EntityGolem
                      net.minecraft.entity.monster.EntityIronGolem

All Implemented Interfaces:
  IAnimals

    public class EntityIronGolem

extends EntityGolem

Field Summary

Fields inherited from class net.minecraft.entity.EntityLiving
`arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, legSwing, legYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, pickUpLootProability, prevCameraPitch, prevHealth, prevLegYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, tasks`

Fields inherited from class net.minecraft.entity.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityIronGolem(World par1World)`

Method Summary
`boolean` | `attackEntityAsMob(Entity par1Entity)`
`boolean` | `canAttackClass(Class par1Class)` Returns true if this entity can attack entities of the specified class.
`int` | `getAttackTimer()`
`int` | `getHoldRoseTick()`
`int` | `getMaxHealth()`
`Village` | `getVillage()`
`void` | `handleHealthUpdate(byte par1)`
`boolean` | `isAIEnabled()` Returns true if the newer Entity AI code should be run
`boolean` | `isPlayerCreated()`
`void` | `onDeath(DamageSource par1DamageSource)` Called when the mob's health reaches 0.
`void` | `onLivingUpdate()` Called frequently so the entity can update its state every tick as required.
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `setHoldingRose(boolean par1)`
`void` | `setPlayerCreated(boolean par1)`
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.entity.monster.EntityGolem
`getTalkInterval`

Methods inherited from class net.minecraft.entity.EntityCreature
`getBlockPathWeight, getCanSpawnHere, getEntityToAttack, getSpeedModifier, hasPath, setPathToEntity, setTarget`

Methods inherited from class net.minecraft.entity.EntityLiving
`addPotionEffect, attackEntityFrom, canBeCollidedWith, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_82143_as, func_82159_b, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArmorItemForSlot, getArrowCountInEntity, getAttackTarget, getCreatureAttribute, getCurrentArmor, getCurrentItemOrArmor, getEntitySenses, getEyeHeight, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getSwingProgress, getTexture, getTotalArmorValue, getVerticalFaceSpeed, hasHome, heal, initCreature, isBlocking, isChild, isEntityAlive, isEntityUndead, isOnLadder, isPlayerSleeping, isPotionActive, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onEntityUpdate, onItemPickup, onUpdate, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setAttackTarget, setCurrentItemOrArmor, setEntityHealth, setHeadRotationYaw, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, shouldRiderFaceForward, spawnExplosionParticle, swingItem, updateRidden`

Methods inherited from class net.minecraft.entity.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82146_a, func_82148_at, func_82149_j, func_85029_a, func_85030_a, func_85031_j, func_85032_ar, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getHasActivePotion, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onKillEntity, onStruckByLightning, readFromNBT, setAir, setAngles, setDead, setEating, setFire, setHasActivePotion, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityIronGolem

    public EntityIronGolem(World par1World)

Method Detail

### isAIEnabled

    public boolean isAIEnabled()

  Returns true if the newer Entity AI code should be run

### getMaxHealth

    public int getMaxHealth()

  Specified by:
    `getMaxHealth` in class `EntityLiving`

### onLivingUpdate

    public void onLivingUpdate()

  Called frequently so the entity can update its state every tick as required. For example, zombies and skeletons use this to react to sunlight and start to burn.

  Overrides:
    `onLivingUpdate` in class `EntityLiving`

### canAttackClass

    public boolean canAttackClass(Class par1Class)

  Returns true if this entity can attack entities of the specified class.

  Overrides:
    `canAttackClass` in class `EntityLiving`

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

  Overrides:
    `writeEntityToNBT` in class `EntityLiving`

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

  Overrides:
    `readEntityFromNBT` in class `EntityLiving`

### attackEntityAsMob

    public boolean attackEntityAsMob(Entity par1Entity)

  Overrides:
    `attackEntityAsMob` in class `EntityLiving`

### getVillage

    public Village getVillage()

### handleHealthUpdate

    public void handleHealthUpdate(byte par1)

  Overrides:
    `handleHealthUpdate` in class `EntityLiving`

### getAttackTimer

    public int getAttackTimer()

### setHoldingRose

    public void setHoldingRose(boolean par1)

### getHoldRoseTick

    public int getHoldRoseTick()

### isPlayerCreated

    public boolean isPlayerCreated()

### setPlayerCreated

    public void setPlayerCreated(boolean par1)

### onDeath

    public void onDeath(DamageSource par1DamageSource)

  Called when the mob's health reaches 0.

  Overrides:
    `onDeath` in class `EntityLiving`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD